> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Recipient



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/recipients
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/recipients:
    post:
      tags:
        - Client Presentations
      summary: Add Recipient
      operationId: ClientPresentationsController_addRecipient_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddPresentationRecipientDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationDetailDto'
components:
  schemas:
    AddPresentationRecipientDto:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
          minLength: 1
          maxLength: 120
        lastName:
          type: string
          minLength: 1
          maxLength: 120
      required:
        - email
      additionalProperties: false
    PresentationDetailDto:
      type: object
      properties:
        fiType:
          enum:
            - OFCI
            - OFOI
            - CFCI
            - CFOI
            - null
          type:
            - string
            - 'null'
        depositPct:
          type:
            - number
            - 'null'
        outcome:
          enum:
            - awaiting
            - approved
            - mixed_response
            - respec
            - null
          type:
            - string
            - 'null'
        sections:
          type: array
          items:
            type: object
            additionalProperties: true
        unresolvedAlternativeSlotIds:
          type: array
          items:
            type: string
        rework:
          type: array
          items:
            type: object
        draftRecipients:
          type: array
          items:
            $ref: '#/components/schemas/PersonRefDto'
        recipientChangesPending:
          type: boolean
        requiresNewVersion:
          type: boolean
        message:
          type:
            - string
            - 'null'
        slotIds:
          type: array
          items:
            type: string
        draftItems:
          type: array
          items:
            $ref: '#/components/schemas/PresentationDraftItemDto'
        expiresAt:
          type:
            - string
            - 'null'
        hasUnsharedChanges:
          type: boolean
        versions:
          type: array
          items:
            $ref: '#/components/schemas/PresentationVersionRefDto'
        parties:
          $ref: '#/components/schemas/PresentationPartiesDto'
        versionLabel:
          type: string
        projectNumber:
          type:
            - string
            - 'null'
        archivedAt:
          type:
            - string
            - 'null'
        source:
          type:
            - object
            - 'null'
        followUps:
          type: array
          items:
            type: object
            properties:
              presentationId:
                type: string
              versionN:
                type: number
            required:
              - presentationId
              - versionN
        reworkCount:
          type: number
        revision:
          type: number
        signing:
          $ref: '#/components/schemas/PresentationSigningDto'
        id:
          type: string
        collaborationId:
          type: string
        projectId:
          type: string
        project:
          $ref: '#/components/schemas/PresentationProjectRefDto'
        name:
          type: string
        status:
          enum:
            - draft
            - revoked
            - shared
          type: string
        expired:
          type: boolean
        template:
          anyOf:
            - $ref: '#/components/schemas/PresentationTemplateRefDto'
            - type: 'null'
        reviewTemplate:
          anyOf:
            - $ref: '#/components/schemas/PresentationTemplateRefDto'
            - type: 'null'
        signerBindings:
          type: array
          items:
            type: object
        presentation:
          anyOf:
            - $ref: '#/components/schemas/PresentationSlidesRefDto'
            - type: 'null'
        currentVersion:
          anyOf:
            - $ref: '#/components/schemas/PresentationCurrentVersionDto'
            - type: 'null'
        versionCount:
          type: number
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/PresentationRecipientDto'
        outcomes:
          $ref: '#/components/schemas/PresentationOutcomesDto'
        commentCount:
          type: number
        lastActivity:
          anyOf:
            - $ref: '#/components/schemas/PresentationLastActivityDto'
            - type: 'null'
        lastActivityAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/PersonRefDto'
        createdAt:
          type: string
      required:
        - fiType
        - depositPct
        - outcome
        - sections
        - unresolvedAlternativeSlotIds
        - rework
        - message
        - slotIds
        - draftItems
        - expiresAt
        - hasUnsharedChanges
        - versions
        - parties
        - versionLabel
        - projectNumber
        - archivedAt
        - source
        - followUps
        - reworkCount
        - id
        - collaborationId
        - projectId
        - project
        - name
        - status
        - expired
        - template
        - presentation
        - currentVersion
        - versionCount
        - recipients
        - outcomes
        - commentCount
        - lastActivity
        - lastActivityAt
        - createdBy
        - createdAt
    PersonRefDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
      required:
        - id
        - name
        - email
    PresentationDraftItemDto:
      type: object
      properties:
        slotId:
          type: string
        refNumber:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        manufacturer:
          type:
            - string
            - 'null'
        area:
          type:
            - string
            - 'null'
        quantity:
          type:
            - string
            - 'null'
        extraQuantity:
          type:
            - string
            - 'null'
        quantityUnit:
          type:
            - string
            - 'null'
        purchasingUnit:
          type: string
          enum:
            - packages
            - units
        unitsPerPackage:
          type:
            - string
            - 'null'
        areaQuantities:
          type: array
          items:
            type: object
            properties:
              areaId:
                type: string
              quantity:
                type:
                  - string
                  - 'null'
              roomCount:
                type: number
              roomsDiffer:
                type: boolean
              areaTotal:
                type:
                  - string
                  - 'null'
            required:
              - areaId
              - quantity
              - roomCount
        unitPrice:
          type:
            - string
            - 'null'
        sourceItemId:
          type:
            - string
            - 'null'
        displayFields:
          type: object
          additionalProperties: true
        currency:
          type:
            - string
            - 'null'
        subtotal:
          type:
            - string
            - 'null'
        taxRate:
          type:
            - string
            - 'null'
        taxLabel:
          type:
            - string
            - 'null'
        taxAmount:
          type:
            - string
            - 'null'
        total:
          type:
            - string
            - 'null'
        previousUnitPrice:
          type:
            - string
            - 'null'
        priceDelta:
          type:
            - string
            - 'null'
        finish:
          type:
            - string
            - 'null'
        dimensions:
          type:
            - string
            - 'null'
        alternativesCount:
          type: number
        alternatives:
          type: array
          items:
            $ref: '#/components/schemas/PresentationDraftAlternativeDto'
      required:
        - slotId
        - refNumber
        - name
        - imageUrl
        - manufacturer
        - area
        - quantity
        - finish
        - dimensions
        - alternativesCount
        - alternatives
    PresentationVersionRefDto:
      type: object
      properties:
        'n':
          type: number
        sharedAt:
          type: string
        sharedBy:
          $ref: '#/components/schemas/PersonRefDto'
        changeSummary:
          type:
            - string
            - 'null'
      required:
        - 'n'
        - sharedAt
        - sharedBy
        - changeSummary
    PresentationPartiesDto:
      type: object
      properties:
        client:
          anyOf:
            - $ref: '#/components/schemas/PresentationClientPartyDto'
            - type: 'null'
        studio:
          $ref: '#/components/schemas/PresentationStudioPartyDto'
      required:
        - client
        - studio
    PresentationSigningDto:
      type: object
      properties:
        status:
          type: string
        required:
          type: array
          items:
            $ref: '#/components/schemas/PresentationRequiredSignerDto'
        countersignature:
          type: boolean
        countersigned:
          type: boolean
      required:
        - status
        - required
        - countersignature
        - countersigned
    PresentationProjectRefDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    PresentationTemplateRefDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    PresentationSlidesRefDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slideCount:
          type: number
        archived:
          type: boolean
      required:
        - id
        - name
        - slideCount
        - archived
    PresentationCurrentVersionDto:
      type: object
      properties:
        'n':
          type: number
        sharedAt:
          type: string
        sharedBy:
          $ref: '#/components/schemas/PersonRefDto'
      required:
        - 'n'
        - sharedAt
        - sharedBy
    PresentationRecipientDto:
      type: object
      properties:
        accessRevoked:
          type: boolean
        userId:
          type: string
        email:
          type: string
        name:
          type:
            - string
            - 'null'
        reviewStatus:
          type: string
          enum:
            - in_progress
            - submitted
            - not_viewed
            - viewed
        lastViewedAt:
          type:
            - string
            - 'null'
        submittedAt:
          type:
            - string
            - 'null'
      required:
        - userId
        - email
        - name
        - reviewStatus
        - lastViewedAt
        - submittedAt
    PresentationOutcomesDto:
      type: object
      properties:
        accepted:
          type: number
        refused:
          type: number
        alternative:
          type: number
        pending:
          type: number
        total:
          type: number
      required:
        - accepted
        - refused
        - alternative
        - pending
        - total
    PresentationLastActivityDto:
      type: object
      properties:
        type:
          enum:
            - created
            - archived
            - restored
            - follow_up_created
            - rework_requested
            - alternative_resolved
            - offline_recorded
            - signed
            - shared
            - viewed
            - submitted
            - revoked
            - recipient_added
            - recipient_removed
          type: string
        actorName:
          type:
            - string
            - 'null'
        at:
          type: string
      required:
        - type
        - actorName
        - at
    PresentationDraftAlternativeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
      required:
        - id
        - name
    PresentationClientPartyDto:
      type: object
      properties:
        name:
          type: string
        address:
          type:
            - string
            - 'null'
      required:
        - name
        - address
    PresentationStudioPartyDto:
      type: object
      properties:
        name:
          type: string
        legalName:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
        logoUrl:
          type:
            - string
            - 'null'
      required:
        - name
        - legalName
        - address
        - logoUrl
    PresentationRequiredSignerDto:
      type: object
      properties:
        role:
          type: string
        userId:
          type: string
        signed:
          type: boolean
      required:
        - role
        - userId
        - signed

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.